Page MenuHomeFreeBSD

Build fixes for www/webkit-gtk2
ClosedPublic

Authored by rezny on Mar 8 2017, 6:33 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jun 1, 2:54 PM
Unknown Object (File)
May 14 2024, 9:37 AM
Unknown Object (File)
May 5 2024, 2:04 AM
Unknown Object (File)
May 3 2024, 4:40 PM
Unknown Object (File)
Apr 25 2024, 1:59 PM
Unknown Object (File)
Jan 7 2024, 2:27 PM
Unknown Object (File)
Jan 7 2024, 2:27 PM
Unknown Object (File)
Jan 7 2024, 2:27 PM
Subscribers

Details

Summary

This started as a build fix for PPC(64) in PR 212903, disable the non-portable javascript interpreter. I noticed sparc64 marked BROKEN due to use of x86 assembler, so I suspect the same fix would work there but have not yet found anyone to test that platform. While asking around to confirm it works on ARM to be sure that the JIT code isn't x86 only, I got not only confirmation that it does work but another patch to fix the build on ARM. While verifying the build on PPC64, I dound many indirect dependencies that were not declarred, so those were added and portrev bumped, making this a collection of build fixes for all platforms, not just tier2.

Test Plan

I confirmed the original patch on 11-STABLE PPC64 and verified no negative impact for 11.0 amd64. Strejda provided an ARMv6 build log along with the patch (http://build.humusoft.cz/build.html?mastername=head12armv6-default&build=2017-02-19_06h47m58s)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Mar 11 2017, 6:16 PM
This revision was automatically updated to reflect the committed changes.